Bug 1461201 - Backport of rebalance memory leaks [NEEDINFO]
Backport of rebalance memory leaks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
3.2
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Susant Kumar Palai
Bala Konda Reddy M
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 16:46 EDT by Patrick Ladd
Modified: 2017-06-16 01:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 01:11:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (pladd)


Attachments (Terms of Use)

  None (edit)
Description Patrick Ladd 2017-06-13 16:46:43 EDT
Description of problem:
Need
* https://review.gluster.org/#/c/12295/
* https://review.gluster.org/#/c/12235/
* http://review.gluster.org/16308/

backported to hotfix stream for customer


Version-Release number of selected component (if applicable):
3.1.1

How reproducible:
Always

Steps to Reproduce:
1. Rebalance process is oom_killed

Actual results:
glusterfs process handling rebalance uses up all RAM on system and is killed by OS

Expected results:
rebalance completes

Additional info:
Comment 4 Dana Safford 2017-06-13 17:12:07 EDT
As discussed n today's conference call, I set the Customer Escalation Flag.
Comment 5 Susant Kumar Palai 2017-06-14 00:27:37 EDT
Will backport once the needinfo on comment 2 is addressed.

Susant

Note You need to log in before you can comment on or make changes to this bug.